=== debian/changelog ===
popsicle (1.3.3) jammy; urgency=medium

  * 1.3.3 release

 -- Michael Murphy <michael@mmurphy.dev>  Wed, 03 Jan 2024 16:24:46 +0100

popsicle (1.3.2) jammy; urgency=medium

  * 1.3.2 release 

 -- Michael Murphy <michael@mmurphy.dev>  Thu, 13 Jul 2023 17:34:00 +0200

popsicle (1.3.0) groovy; urgency=medium

  * 1.3.0 release

 -- Ian Douglas Scott <idscott@system76.com>  Thu, 05 Nov 2020 09:40:32 -0800

popsicle (1.2.0) groovy; urgency=medium

  * 1.2.0 Release 

 -- Ian Douglas Scott <idscott@system76.com>  Tue, 27 Oct 2020 13:42:44 -0700

popsicle (1.1.0) focal; urgency=medium

  * 1.1.0 release

 -- Ian Douglas Scott <idscott@system76.com>  Mon, 03 Aug 2020 10:48:06 -0700

popsicle (0.1.5) bionic; urgency=medium

  * 0.1.5 release

 -- Jeremy Soller <jeremy@system76.com>  Fri, 02 Mar 2018 12:48:11 -0700

popsicle (0.1.4) bionic; urgency=medium

  * 0.1.4 release

 -- Jeremy Soller <jeremy@system76.com>  Tue, 30 Jan 2018 14:54:54 -0700

popsicle (0.1.3) artful; urgency=medium

  * 0.1.3 release

 -- Jeremy Soller <jeremy@system76.com>  Tue, 07 Nov 2017 12:00:07 -0700

popsicle (0.1.2) artful; urgency=medium

  * 0.1.2 release

 -- Jeremy Soller <jeremy@system76.com>  Mon, 16 Oct 2017 13:39:01 -0600
