=== debian/control ===
Source: popsicle
Section: utils
Priority: optional
Maintainer: Jeremy Soller <jeremy@system76.com>
Build-Depends:
  debhelper (>=9),
  cargo,
  help2man,
  libclang-dev,
  libgtk-3-dev
Standards-Version: 4.1.1
Homepage: https://github.com/pop-os/popsicle

Package: popsicle
Architecture: amd64 arm64
Depends:
  ${misc:Depends},
  ${shlib:Depends}
Description: USB Flasher

Package: popsicle-gtk
Architecture: amd64 arm64
Depends:
  libgtk-3-0,
  ${misc:Depends},
  ${shlib:Depends}
Description: GTK front end to the USB Flasher
