=== debian/rules ===
#!/usr/bin/make -f

export VENDORED ?= 1
CLEAN ?= 1

%:
	dh $@

override_dh_auto_build:
	env CARGO_HOME="$$(pwd)/target/cargo" \
	dh_auto_build

override_dh_auto_clean:
ifeq ($(CLEAN),1)
	make clean
endif
ifeq ($(VENDORED),1)
	if ! ischroot; then \
		make vendor; \
	fi
endif

override_dh_auto_install:
	dh_auto_install -- prefix=/usr
